## visad
Interface LocalDisplay

All Superinterfaces:
  Action, Display, EventListener, ThingChangedListener

All Known Implementing Classes:
  DisplayImpl

public interface LocalDisplay
extends Display

LocalDisplay is the VisAD interface for local instances of displays. It declares the methods which are used by applications.

Field Summary

Fields inherited from interface visad.Display

`AdjustProjectionSeam, Alpha, Animation, Blue, CMY, ColorMode, components3c, components3s, componentscmy, componentscyl, componentsflow1, componentsflow1s, componentsflow2, componentsflow2s, componentshsv, componentsrgb, componentsso, CurvedSize, Cyan, CylAzimuth, CylRadius, CylZAxis, DisplayCMYCoordSys, DisplayCMYTuple, DisplayCylindricalCoordSys, DisplayFlow1SphericalCoordSys, DisplayFlow1SphericalTuple, DisplayFlow1Tuple, DisplayFlow2SphericalCoordSys, DisplayFlow2SphericalTuple, DisplayFlow2Tuple, DisplayHSVCoordSys, DisplayHSVTuple, DisplayRealArray, DisplayRGBTuple, DisplaySpatialCartesianTuple, DisplaySpatialCylindricalTuple, DisplaySpatialOffsetTuple, DisplaySpatialSphericalTuple, DisplaySphericalCoordSys, Flow1Azimuth, Flow1Elevation, Flow1Radial, Flow1X, Flow1Y, Flow1Z, Flow2Azimuth, Flow2Elevation, Flow2Radial, Flow2X, Flow2Y, Flow2Z, Green, HSV, Hue, IsoContour, Latitude, LineStyle, LineWidth, List, Longitude, Magenta, MissingTransparent, PointSize, PolygonMode, PolygonOffset, PolygonOffsetFactor, Radius, Red, RGB, RGBA, Saturation, SelectRange, SelectValue, Shape, ShapeScale, Text, Texture3DMode, TextureEnable, Value, XAxis, XAxisOffset, YAxis, YAxisOffset, Yellow, ZAxis, ZAxisOffset`

Method Summary
`void` `addActivityHandler(ActivityHandler ah)` add a display activity handler
`void` `addDisplayListener(DisplayListener listener)` add a DisplayListener
`void` `addMessageListener(MessageListener listener)` add a MessageListener
`void` `addReferences(DataRenderer renderer, DataReference[] refs, ConstantMap[][] constant_maps)` link refs to this Display using the non-default renderer; must be local DataRendererImpls; this method may only be invoked after all links to ScalarMaps have been made; the maps[i] array applies only to rendering refs[i];
`Component` `getComponent()` return the java.awt.Component (e.g., JPanel or AppletPanel) this Display uses; returns null for an offscreen Display
`Control` `getControl(Class c)` only called for Control objects associated with 'single' DisplayRealType-s
`Control` `getControl(Class c, int inst)` find specified occurance for Control object of the specified class
`Vector` `getControls(Class c)` find all Control objects of the specified class
`DisplayRenderer` `getDisplayRenderer()` return the DisplayRenderer associated with this Display
`GraphicsModeControl` `getGraphicsModeControl()` return the GraphicsModeControl associated with this Display
`BufferedImage` `getImage()` return a captured image of the display
`Vector` `getMapVector()` return a Vector of the ScalarMap-s associated with this Display
`ProjectionControl` `getProjectionControl()` return the ProjectionControl associated with this Display
`Vector` `getRenderers()` Returns the list of DataRenderer-s.
`Vector` `getRendererVector()` Returns a clone of the list of DataRenderer-s.
`Container` `getWidgetPanel()` get a GUI component containing this Display's Control widgets, creating the widgets as necessary
`double[]` `make_matrix(double rotx, double roty, double rotz, double scale, double transx, double transy, double transz)`
`double[]` `multiply_matrix(double[] a, double[] b)`
`void` `removeActivityHandler(ActivityHandler ah)` remove a display activity handler
`void` `removeDisplayListener(DisplayListener listener)` Removes a DisplayListener.
`void` `removeMessageListener(MessageListener listener)` Removes a MessageListener.
`void` `replaceReferences(RemoteDisplay rDpy, DataRenderer renderer, DataReference[] refs, ConstantMap[][] constant_maps)` link refs to this Display using the non-default renderer; must be local DataRendererImpls; this method may only be invoked after all links to ScalarMaps have been made; the maps[i] array applies only to rendering refs[i];

Methods inherited from interface visad.Display
`addMap, addReference, addReferences, addSlave, clearMaps, destroy, getConstantMapVector, hasSlaves, removeAllSlaves, removeMap, removeSlave, sendMessage`

Methods inherited from interface visad.Action
`addReference, getName, removeAllReferences, removeReference`

Methods inherited from interface visad.ThingChangedListener
`thingChanged`

Method Detail

### addActivityHandler

    public void addActivityHandler(ActivityHandler ah)
                            throws VisADException

  add a display activity handler

  Throws:
    `VisADException`

### removeActivityHandler

    public void removeActivityHandler(ActivityHandler ah)
                               throws VisADException

  remove a display activity handler

  Throws:
    `VisADException`

### addDisplayListener

    public void addDisplayListener(DisplayListener listener)

  add a DisplayListener

### addMessageListener

    public void addMessageListener(MessageListener listener)

  add a MessageListener

### replaceReferences

    public void replaceReferences(RemoteDisplay rDpy,
                                  DataRenderer renderer,
                                  DataReference[] refs,
                                  ConstantMap[][] constant_maps)
                           throws VisADException,
                                  RemoteException

  link refs to this Display using the non-default renderer; must be local DataRendererImpls; this method may only be invoked after all links to ScalarMaps have been made; the maps[i] array applies only to rendering refs[i];

  Throws:
    `VisADException`
    `RemoteException`

### addReferences

    public void addReferences(DataRenderer renderer,
                              DataReference[] refs,
                              ConstantMap[][] constant_maps)
                       throws VisADException,
                              RemoteException

  link refs to this Display using the non-default renderer; must be local DataRendererImpls; this method may only be invoked after all links to ScalarMaps have been made; the maps[i] array applies only to rendering refs[i];

  Throws:
    `VisADException`
    `RemoteException`

### getComponent

    public Component getComponent()

  return the java.awt.Component (e.g., JPanel or AppletPanel) this Display uses; returns null for an offscreen Display

### getDisplayRenderer

    public DisplayRenderer getDisplayRenderer()

  return the DisplayRenderer associated with this Display

### getRenderers

    public Vector getRenderers()

  Returns the list of DataRenderer-s.

  Returns:
    The list of DataRenderer-s.

### getRendererVector

    public Vector getRendererVector()

  Returns a clone of the list of DataRenderer-s. A clone is returned to avoid concurrent access problems by the Display thread.

  Returns:
    A clone of the list of DataRenderer-s.

### getControl

    public Control getControl(Class c)

  only called for Control objects associated with 'single' DisplayRealType-s

### getControl

    public Control getControl(Class c,
                              int inst)

  find specified occurance for Control object of the specified class

### getControls

    public Vector getControls(Class c)

  find all Control objects of the specified class

### getGraphicsModeControl

    public GraphicsModeControl getGraphicsModeControl()

  return the GraphicsModeControl associated with this Display

### getImage

    public BufferedImage getImage()

  return a captured image of the display

### getMapVector

    public Vector getMapVector()
                        throws VisADException,
                               RemoteException

  return a Vector of the ScalarMap-s associated with this Display

  Throws:
    `VisADException`
    `RemoteException`

### getProjectionControl

    public ProjectionControl getProjectionControl()

  return the ProjectionControl associated with this Display

### getWidgetPanel

    public Container getWidgetPanel()

  get a GUI component containing this Display's Control widgets, creating the widgets as necessary

### make_matrix

    public double[] make_matrix(double rotx,
                                double roty,
                                double rotz,
                                double scale,
                                double transx,
                                double transy,
                                double transz)

### multiply_matrix

    public double[] multiply_matrix(double[] a,
                                    double[] b)

### removeDisplayListener

    public void removeDisplayListener(DisplayListener listener)

  Removes a DisplayListener.

  Parameters:
    `listener` - The listener to be removed. Nothing happens if the listener isn't registered with this instance.

### removeMessageListener

    public void removeMessageListener(MessageListener listener)

  Removes a MessageListener.

  Parameters:
    `listener` - The listener to be removed. Nothing happens if the listener isn't registered with this instance.